﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Phone.Chart;

namespace ProductInventoryTracker.Views
{
    public partial class GraphView : UserControl
    {
        TransformGroup tg;

        public GraphView()
        {
            InitializeComponent();

            tg = new TransformGroup();
        }

        // the only code behind is for animating the chart
        private void StartAnimation()
        {
            tg.Children.Add(new ScaleTransform() { ScaleX = 0, ScaleY = 0.3 });
            ((ScaleTransform)tg.Children[0]).ScaleX = 0;
            ((ScaleTransform)tg.Children[0]).ScaleY = 0.3;
            Storyboard sb = (Storyboard)Resources["sb"];
            sb.Stop();
            Storyboard.SetTarget(sb, tg);
            sb.Begin();
        }

        private void c1Chart1_Loaded(object sender, RoutedEventArgs e)
        {
            StartAnimation();
        }

        private void XYDataSeries_PlotElementLoaded(object sender, EventArgs e)
        {
            PlotElement pe = sender as PlotElement;
            if (pe != null)
            {
                pe.RenderTransform = tg;
                pe.RenderTransformOrigin = new Point(0.5, 0.5);

            }
        }

    }
}
